
local function formatnumber(n)
	n = tostring(n)
	local len = string.len(n)
	for i=1, 3-len do
		n="0"..n
	end
	return n
end

bitmap = loadBitmap("gfx/ex.bmp")
local c=1
for y=1, bitmap.h do
	for x=1, bitmap.w do
		local color = bitmap.map[y][x]
		local r = formatnumber(color.r)
		local g = formatnumber(color.g)
		local b = formatnumber(color.b)
		--Due to hudtxt limitations, images must have a max of 49 pixels
		--In this example we're using a 7x7 image
		parse(string.format('hudtxt %i "%s%s%s@" %i %i 0', c, r,g,b, 40+x*12, 300+y*12))
		c = c+1
	end
end